#@ MODIF discrets Messages  DATE 04/05/2011   AUTEUR MACOCCO K.MACOCCO 
# -*- coding: iso-8859-1 -*-
#            CONFIGURATION MANAGEMENT OF EDF VERSION
# ======================================================================
# COPYRIGHT (C) 1991 - 2011  EDF R&D                  WWW.CODE-ASTER.ORG
# THIS PROGRAM IS FREE SOFTWARE; YOU CAN REDISTRIBUTE IT AND/OR MODIFY
# IT UNDER THE TERMS OF THE GNU GENERAL PUBLIC LICENSE AS PUBLISHED BY
# THE FREE SOFTWARE FOUNDATION; EITHER VERSION 2 OF THE LICENSE, OR
# (AT YOUR OPTION) ANY LATER VERSION.
#
# THIS PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT
# WITHOUT ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF
# MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE GNU
# GENERAL PUBLIC LICENSE FOR MORE DETAILS.
#
# YOU SHOULD HAVE RECEIVED A COPY OF THE GNU GENERAL PUBLIC LICENSE
# ALONG WITH THIS PROGRAM; IF NOT, WRITE TO EDF R&D CODE_ASTER,
#    1 AVENUE DU GENERAL DE GAULLE, 92141 CLAMART CEDEX, FRANCE.
# ======================================================================
# RESPONSABLE DELMAS J.DELMAS

def _(x) : return x

# Messages pour les lments discrets non-linaires
cata_msg={

1: _("""
Pour l'lment discret %(k1)s .
Il n'y a pas de rotation non-linaire possible.
"""),

2: _("""
Pour l'lment discret %(k1)s .
Il n'y a pas de comportement non-lineaire possible suivant Z
ou en rotation autour de X,Y en 2D.
"""),

3: _("""
Pour l'lment discret %(k1)s .
Il n'y a pas de comportement non-linaire possible en rotation
ou suivant Z en 2D.
"""),

4: _("""
Pour l'lment discret.
Le pas de temps est devenu trop petit : %(r1)12.5E .
"""),

5: _("""
Pour l'lment discret %(k5)s .
Les caractristiques sont obligatoirement donnes dans le repre local du discret.

Pour Info :
   Modle   : <%(k1)s>, Option   : <%(k2)s>
   Comport. : <%(k3)s>, Relation : <%(k4)s>
   Maille   : <%(k5)s>
"""),

6: _("""
Pour les lments discrets il faut dfinir un repre dans AFFE_CARA_ELEM

Pour Info :
   Modle   : <%(k1)s>, Option   : <%(k2)s>
   Comport. : <%(k3)s>, Relation : <%(k4)s>
   Maille   : <%(k5)s>
"""),

7 : _("""
Le Comportement <%(k4)s> affect  un DISCRET est non valide
Les comportements valides sont :
   COMP_ELAS   ELAS

   COMP_INCR   ELAS           DIS_GRICRA  DIS_VISC  DIS_ECRO_CINE
               DIS_BILI_ELAS  ASSE_CORN   ARME      DIS_CHOC
               DIS_GOUJ2E

Pour Info :
   Modle   : <%(k1)s>, Option   : <%(k2)s>
   Comport. : <%(k3)s>, Relation : <%(k4)s>
   Maille   : <%(k5)s>
"""),

8 : _("""
Pour les discrets, avec COMP_ELAS le seul comportement valide est ELAS.

Pour Info :
   Modle   : <%(k1)s>, Option   : <%(k2)s>
   Comport. : <%(k3)s>, Relation : <%(k4)s>
   Maille   : <%(k5)s>
"""),

10 : _("""
Pour l'lment DISCRET de modle <%(k1)s> la matrice de dcharge est non dveloppe.

Pour Info :
   Modle   : <%(k1)s>, Option   : <%(k2)s>
   Comport. : <%(k3)s>, Relation : <%(k4)s>
   Maille   : <%(k5)s>
"""),

11 : _("""
La loi <%(k4)s> doit etre utilise avec des lments du type DIS_TR_L : lment SEG2 + modlisation DIS_TR

Pour Info :
   Modle   : <%(k1)s>, Option   : <%(k2)s>
   Comport. : <%(k3)s>, Relation : <%(k4)s>
   Maille   : <%(k5)s>
"""),

12 : _("""
La commande %(k4)s ne sait pas traiter les matrices non-symtriques, pour l'option %(k1)s.
Message de la routine %(k3)s, pour l'lment %(k2)s.
"""),

13 : _("""
L'lment %(k1)s est inconnu pour la maille %(k3)s.
Message de la routine %(k2)s.
"""),

14 : _("""
L'option %(k1)s est inconnue pour l'lment %(k2)s.
Message de la routine %(k3)s.
"""),

15 : _("""
L'option %(k1)s ne sait pas traiter l'lment %(k2)s.
Message de la routine %(k3)s.
"""),

16 : _("""
Il est interdit d'avoir des lments discrets 2D et 3D dans un modle.
"""),

17 : _("""
Votre modlisation ne comporte pas d'lment discret.
"""),

20 : _("""
Votre modlisation doit tre soit 2D soit 3D.
Il est interdit d'avoir des discrets sur une modlisation %(k1)s.
"""),

21 :_("""
AFFE_CARA_ELEM/RIGI_PARASOL
  Le nombre de valeurs fournies sous VALE ne correspond pas au nombre attendu.
  Vous devez vrifier l'adquation des dimensions des lments sous CARA avec le nombre de valeur sous VALE.
"""),

25 :_("""
Vous utilisez des discrets %(k1)s alors que vous n'avez pas affect ses caractristiques.
Il faut vrifier les affectations sous AFFE_CARA_ELEM/DISCRET.
"""),

26 :_("""
Vous utilisez des discrets %(k1)s pour affecter des MASSES alors que vous n'avez pas affect
les caractristiques de masses. Par dfaut la masse est nulle.
Il faut vrifier les affectations sous AFFE_CARA_ELEM/DISCRET.
"""),

27 :_("""
Vous utilisez des discrets %(k1)s pour affecter des RAIDEURS alors que vous n'avez pas affect
les caractristiques de raideurs. Par dfaut la raideur est nulle.
Il faut vrifier les affectations sous AFFE_CARA_ELEM/DISCRET.
"""),

28 :_("""
Vous utilisez des discrets %(k1)s pour affecter des AMORTISSEMENTS alors que vous n'avez pas affect
les caractristiques d'amortissements. Par dfaut l'amortissement est nul.
Il faut vrifier les affectations sous AFFE_CARA_ELEM/DISCRET.
"""),

30 :_("""Informations :
   Maille de nom %(k1)s, de %(i1)d noeud(s).
   Nom et coordonnes des noeuds :
"""),
31 :_("""      %(k1)s   %(r1)12.5E   %(r2)12.5E   %(r3)12.5E
"""),

}
